ServiceClusterValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.ServiceClusterValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class ServiceClusterValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefResourceValue
          org.hyperic.hq.appdef.shared.ServiceClusterValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class ServiceClusterValue

extends AppdefResourceValue
implements java.io.Serializable

Value object for ServiceCluster.

See Also:
  Serialized Form

Constructor Summary
`ServiceClusterValue()`
`ServiceClusterValue(ServiceClusterValue otherValue)`
`ServiceClusterValue(java.lang.String name, java.lang.String sortName, java.lang.String description, java.lang.Integer groupId, java.lang.String owner, java.lang.String modifiedBy, java.lang.String location, java.lang.Integer id, java.lang.Long mTime, java.lang.Long cTime)`

Method Summary
`boolean` | `cTimeHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`java.lang.Long` | `getCTime()`
`java.lang.String` | `getDescription()`
`AppdefEntityID` | `getEntityId()` get an entity ID for the object
`java.lang.Integer` | `getGroupId()`
`java.lang.Integer` | `getId()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getModifiedBy()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOwner()`
`ServiceTypeValue` | `getServiceType()`
`java.lang.String` | `getSortName()`
`boolean` | `groupIdHasBeenSet()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `locationHasBeenSet()`
`boolean` | `modifiedByHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`boolean` | `ownerHasBeenSet()`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setGroupId(java.lang.Integer groupId)`
`void` | `setId(java.lang.Integer id)`
`void` | `setLocation(java.lang.String location)`
`void` | `setModifiedBy(java.lang.String modifiedBy)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setName(java.lang.String name)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setServiceType(ServiceTypeValue ServiceType)`
`void` | `setSortName(java.lang.String sortName)`
`boolean` | `sortNameHasBeenSet()`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.appdef.shared.AppdefResourceValue
`compareTo, getAppdefResourceTypeValue, getHostName, getPlatformTypeCountMap, getResourceTypeCountMap, getServerTypeCountMap, getServiceTypeCountMap, setHostName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceClusterValue

    public ServiceClusterValue()

### ServiceClusterValue

    public ServiceClusterValue(java.lang.String name,
                               java.lang.String sortName,
                               java.lang.String description,
                               java.lang.Integer groupId,
                               java.lang.String owner,
                               java.lang.String modifiedBy,
                               java.lang.String location,
                               java.lang.Integer id,
                               java.lang.Long mTime,
                               java.lang.Long cTime)

### ServiceClusterValue

    public ServiceClusterValue(ServiceClusterValue otherValue)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `AppdefResourceValue`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in class `AppdefResourceValue`

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getSortName

    public java.lang.String getSortName()

### setSortName

    public void setSortName(java.lang.String sortName)

### sortNameHasBeenSet

    public boolean sortNameHasBeenSet()

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `AppdefResourceValue`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in class `AppdefResourceValue`

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getGroupId

    public java.lang.Integer getGroupId()

### setGroupId

    public void setGroupId(java.lang.Integer groupId)

### groupIdHasBeenSet

    public boolean groupIdHasBeenSet()

### getOwner

    public java.lang.String getOwner()

  Specified by:
    `getOwner` in class `AppdefResourceValue`

### setOwner

    public void setOwner(java.lang.String owner)

  Specified by:
    `setOwner` in class `AppdefResourceValue`

### ownerHasBeenSet

    public boolean ownerHasBeenSet()

### getModifiedBy

    public java.lang.String getModifiedBy()

  Specified by:
    `getModifiedBy` in class `AppdefResourceValue`

### setModifiedBy

    public void setModifiedBy(java.lang.String modifiedBy)

  Specified by:
    `setModifiedBy` in class `AppdefResourceValue`

### modifiedByHasBeenSet

    public boolean modifiedByHasBeenSet()

### getLocation

    public java.lang.String getLocation()

  Specified by:
    `getLocation` in class `AppdefResourceValue`

### setLocation

    public void setLocation(java.lang.String location)

  Specified by:
    `setLocation` in class `AppdefResourceValue`

### locationHasBeenSet

    public boolean locationHasBeenSet()

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in class `AppdefResourceValue`

### setId

    public void setId(java.lang.Integer id)

  Specified by:
    `setId` in class `AppdefResourceValue`

### idHasBeenSet

    public boolean idHasBeenSet()

### getMTime

    public java.lang.Long getMTime()

  Specified by:
    `getMTime` in class `AppdefResourceValue`

### setMTime

    public void setMTime(java.lang.Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public java.lang.Long getCTime()

  Specified by:
    `getCTime` in class `AppdefResourceValue`

### setCTime

    public void setCTime(java.lang.Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### getServiceType

    public ServiceTypeValue getServiceType()

### setServiceType

    public void setServiceType(ServiceTypeValue ServiceType)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getEntityId

    public AppdefEntityID getEntityId()

  Description copied from class: `AppdefResourceValue`
  get an entity ID for the object

  Specified by:
    `getEntityId` in class `AppdefResourceValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.